Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420181 - laptop resumes from suspend with flashing screen
Summary: laptop resumes from suspend with flashing screen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 25
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 03:38 UTC by Phil V
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:26:59 UTC
Type: Bug


Attachments (Terms of Use)
Excerpt from dmesg output while resume is in process (1.63 KB, text/plain)
2017-03-21 22:46 UTC, Phil V
no flags Details

Description Phil V 2017-02-08 03:38:12 UTC
Toshiba laptop Qosmio X875 always resumes from suspend with a wildly flashing screen:
no discernable image, just bright flashes, and sometimes a worrisome synchonized sound.

Version-Release number of selected component (if applicable):

How reproducible: 100% of the time. Every F25 kernel from 4.8.6-300 to 4.9.7-201 (fc25.x86_64)

Steps to Reproduce:
1. Suspend (by pushing the power button)
2. Resume (by pushing the power button, or opening the laptop)
3. FnF2, FnF3 will darken and brighten the flicker.
4. On the first attempt to resume, it often happens that pressing Ctrl-Alt-(F3 or F4) the flickering ends with a switch to a virtual terminal. IF this succeeds, Ctrl-Alt-(F1 or F2) will get back to GNOME. However, after a second  suspend, the system resumes with the same flicker, but this time Ctrl-Alt-Fn does not help. 

5. If Ctrl-Alt-Fn does not work, hard power off seems to be the only way forward.
6. Keyboard NumLock and CapsLock toggle lights, but that's the only response I have found.


Please let me know what logs or debugging steps may be helpful!

Comment 1 Phil V 2017-02-10 22:32:43 UTC
Even a pointer to current documentation would be great. 

Or a comment on what portions of the old documentation are still applicable today? For example, is 
https://www.kernel.org/doc/Documentation/power/basic-pm-debugging.txt
applicable to F25?

I ask because the clearest documentation I have found on debugging suspend resume problems dates from 2007 and 2011. Since then fedora has changed init -> systemd and xorg -> wayland, and it is not clear whether that is just a change in chrome or in plumbing.

For example
https://fedoraproject.org/wiki/Common_kernel_problems#Suspend.2FResume_failure
uses pm-suspend, which seems to not exist in F25.

Comment 2 Phil V 2017-02-23 00:17:48 UTC
hello?

Comment 3 Phil V 2017-03-21 22:46:48 UTC
Created attachment 1265209 [details]
Excerpt from dmesg output while resume is in process

I suspect the following output of dmesg is relevant. Longer excerpt attached.

[] nouveau 0000:01:00.0: disp: outp 08:0006:0344: link training failed
[] nouveau 0000:01:00.0: disp: outp 08:0006:0344: link training failed
[] nouveau 0000:01:00.0: disp: outp 08:0006:0344: link not trained before attach

Comment 4 Phil V 2017-03-22 22:09:18 UTC
I have changed 'component' to xorg-x11-drv-nouveau
(if there is a better choice, please advise or reassign!)

because I found that installing the nvidia drivers from rpmfusion permitted resume without flashing. 

Please note. nvidia drivers have the side effect of disabling the effect of the brightness control keys (keys still pop up the sun symbol, the slider moves but brightness does not change.)

Booting with the "safemode" nouveau drivers still gives the flashing upon resume.

Comment 5 Fedora End Of Life 2017-11-16 19:35:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:26:59 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.